# $Revision: 1.4 $, $Date: 2002/08/24 17:11:20 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	SelfExtracting
Summary:	Compress::SelfExtracting Perl module
Summary(pl):	Modu Perla Compress::SelfExtracting
Name:		perl-Compress-SelfExtracting
Version:	0.04
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Digest-MD5 >= 0.01
BuildRequires:	perl-Filter-Simple
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compress::SelfExtracting allows you to create pure-Perl
self-extracting scripts using a variety of compression algorithms.
These scripts will then run on any system with a recent version of
Perl.

%description -l pl
Modu Compress::SelfExtracting pozwala na tworzenie czysto perlowych
samorozpakowujcych si skryptw przy uyciu rnych algorytmw
kompresji. Te skrypty bd dziaay na kadym systemie ze wspczesn
wersj Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Compress
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Compress-SelfExtracting.spec,v $
Revision 1.4  2002/08/24 17:11:20  kloczek
- (auto)updated to 0.04.

Revision 1.3  2002/07/28 16:47:25  kloczek
- release 2.

Revision 1.2  2002/07/21 12:21:57  qboosh
- BR: perl-Filter-Simple

Revision 1.1  2002/07/21 01:18:45  qboosh
- new
